

package gov.va.med.mediator.client.messagemediator;


import gov.va.med.cds.exception.AbstractCdsBaseException;
import gov.va.med.cds.exception.ErrorCodeEnum;


public class MediatorException
    extends
        AbstractCdsBaseException
{

    private static final long serialVersionUID = -4165782590866881693L;


    public MediatorException( ErrorCodeEnum errorCode, String... customMsgValues )
    {
        super( errorCode, customMsgValues );
    }


    public MediatorException( ErrorCodeEnum errorCode, Throwable cause, String... customMsgValues )
    {
        super( errorCode, cause, customMsgValues );
    }


    public MediatorException( ErrorCodeEnum errorCode, Throwable cause )
    {
        super( errorCode, cause );
    }


    public MediatorException( ErrorCodeEnum errorCode )
    {
        super( errorCode );
    }

}
